解决类似 /usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.24′ not found 的问题

源码编译升级安装了gcc 8.2 后,编译程序或运行其它程序时,有时会出现类似/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.24' not found的问题。这是因为升级gcc时,生成的动态库没有替换老版本gcc的动态库导致的,将gcc最新版本的动态库替换系统中老版本的动态库即可解决。

还有一个最快的的办法是直接ln到 /usr/local/lib64/libstdc++.so.6.0.25

手动编译安装软件对于Linux系统来说真的工作量太大,如果不是太了解的话问题会很多。